Bug 229291 - [NEW PORT] x11-wm/lxqt-session
Summary: [NEW PORT] x11-wm/lxqt-session
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jesper Schmitz Mouridsen
URL:
Keywords:
Depends on:
Blocks: 229318
  Show dependency treegraph
 
Reported: 2018-06-24 20:35 UTC by Jesper Schmitz Mouridsen
Modified: 2019-01-24 19:38 UTC (History)
0 users

See Also:


Attachments
add x11-wm/lxqt-session (4.03 KB, patch)
2018-06-24 20:35 UTC, Jesper Schmitz Mouridsen
no flags Details | Diff
add x11-wm/lxqt-session: Corrects panel.conf settings (3.64 KB, patch)
2018-06-26 17:43 UTC, Jesper Schmitz Mouridsen
no flags Details | Diff
add x11-wm/lxqt-session (3.64 KB, patch)
2018-06-30 08:29 UTC, Jesper Schmitz Mouridsen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesper Schmitz Mouridsen freebsd_committer 2018-06-24 20:35:37 UTC
Created attachment 194581 [details]
add x11-wm/lxqt-session

This is for importing LXQt 0.13.
Comment 1 Jesper Schmitz Mouridsen freebsd_committer 2018-06-26 17:43:30 UTC
Created attachment 194656 [details]
add x11-wm/lxqt-session: Corrects panel.conf settings

Avoids black screen and black panel...

panel.conf has moved to /usr/local/share/lxqt/panel.conf
but XDG_CONFIG_DIRS=/etc:/usr/local/etc/xdg:/usr/share this sets
XDG_CONFIG_DIRS=/etc:/usr/local/etc/xdg:/usr/local/share so that
panel.conf can be found. 

+-set(PREDEF_XDG_CONFIG_DIRS "/etc:${LXQT_ETC_XDG_DIR}:/usr/share")
++set(PREDEF_XDG_CONFIG_DIRS "/etc:${LXQT_ETC_XDG_DIR}:/usr/local/share")


And thus having usefull settings on first startup. (delete old .config/lxqt first.. .config/pcmanfm-qt)
Comment 2 Jesper Schmitz Mouridsen freebsd_committer 2018-06-30 08:29:36 UTC
Created attachment 194769 [details]
add x11-wm/lxqt-session

Updates to use qt:5
Comment 3 commit-hook freebsd_committer 2019-01-24 19:37:58 UTC
A commit references this bug:

Author: jsm
Date: Thu Jan 24 19:37:26 UTC 2019
New revision: 491111
URL: https://svnweb.freebsd.org/changeset/ports/491111

Log:
  New port x11-wm/lxqt-session

  LXQt session handling and configuration.
  Contains the startlxqt script and lxqt-leave
  binary to respectively start and stop a LXQt DE session.

  PR: 229291
  Approved by:	miwi (mentor)
  Differential Revision: https://reviews.freebsd.org/D17974

Changes:
  head/x11-wm/Makefile
  head/x11-wm/lxqt-session/
  head/x11-wm/lxqt-session/Makefile
  head/x11-wm/lxqt-session/distinfo
  head/x11-wm/lxqt-session/pkg-descr
  head/x11-wm/lxqt-session/pkg-plist